com.amazonaws.services.machinelearning.model

## Class CreateDataSourceFromRDSRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.machinelearning.model.CreateDataSourceFromRDSRequest

All Implemented Interfaces:
  ReadLimitInfo, Serializable, Cloneable

    public class CreateDataSourceFromRDSRequest
    extends AmazonWebServiceRequest
    implements Serializable, Cloneable

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.amazonaws.AmazonWebServiceRequest

`NOOP`

### Constructor Summary

Constructors
Constructor and Description
`CreateDataSourceFromRDSRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`CreateDataSourceFromRDSRequest` `clone()`
`boolean` `equals(Object obj)`
`Boolean` `getComputeStatistics()` The compute statistics for a `DataSource`.
`String` `getDataSourceId()` A user-supplied ID that uniquely identifies the `DataSource`.
`String` `getDataSourceName()` A user-supplied name or description of the `DataSource`.
`RDSDataSpec` `getRDSData()` The data specification of an Amazon RDS `DataSource`:
`String` `getRoleARN()` The role that Amazon ML assumes on behalf of the user to create and activate a data pipeline in the user's account and copy data using the `SelectSqlQuery` query from Amazon RDS to Amazon S3.
`int` `hashCode()`
`Boolean` `isComputeStatistics()` The compute statistics for a `DataSource`.
`void` `setComputeStatistics(Boolean computeStatistics)` The compute statistics for a `DataSource`.
`void` `setDataSourceId(String dataSourceId)` A user-supplied ID that uniquely identifies the `DataSource`.
`void` `setDataSourceName(String dataSourceName)` A user-supplied name or description of the `DataSource`.
`void` `setRDSData(RDSDataSpec rDSData)` The data specification of an Amazon RDS `DataSource`:
`void` `setRoleARN(String roleARN)` The role that Amazon ML assumes on behalf of the user to create and activate a data pipeline in the user's account and copy data using the `SelectSqlQuery` query from Amazon RDS to Amazon S3.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`CreateDataSourceFromRDSRequest` `withComputeStatistics(Boolean computeStatistics)` The compute statistics for a `DataSource`.
`CreateDataSourceFromRDSRequest` `withDataSourceId(String dataSourceId)` A user-supplied ID that uniquely identifies the `DataSource`.
`CreateDataSourceFromRDSRequest` `withDataSourceName(String dataSourceName)` A user-supplied name or description of the `DataSource`.
`CreateDataSourceFromRDSRequest` `withRDSData(RDSDataSpec rDSData)` The data specification of an Amazon RDS `DataSource`:
`CreateDataSourceFromRDSRequest` `withRoleARN(String roleARN)` The role that Amazon ML assumes on behalf of the user to create and activate a data pipeline in the user's account and copy data using the `SelectSqlQuery` query from Amazon RDS to Amazon S3.

### Methods inherited from class com.amazonaws.AmazonWebServiceRequest

`copyBaseTo, getCloneRoot, getCloneSource, getCustomQueryParameters, getCustomRequestHeaders, getGeneralProgressListener, getReadLimit, getRequestClientOptions, getRequestCredentials, getRequestCredentialsProvider, getRequestMetricCollector, getSdkClientExecutionTimeout, getSdkRequestTimeout, putCustomQueryParameter, putCustomRequestHeader, setGeneralProgressListener, setRequestCredentials, setRequestCredentialsProvider, setRequestMetricCollector, setSdkClientExecutionTimeout, setSdkRequestTimeout, withGeneralProgressListener, withRequestMetricCollector, withSdkClientExecutionTimeout, withSdkRequestTimeout`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CreateDataSourceFromRDSRequest

    public CreateDataSourceFromRDSRequest()

### Method Detail

#### setDataSourceId

    public void setDataSourceId(String dataSourceId)

A user-supplied ID that uniquely identifies the `DataSource`. Typically, an Amazon Resource Number (ARN) becomes the ID for a `DataSource`.

Parameters:
  `dataSourceId` - A user-supplied ID that uniquely identifies the `DataSource`. Typically, an Amazon Resource Number (ARN) becomes the ID for a `DataSource`.

#### getDataSourceId

    public String getDataSourceId()

A user-supplied ID that uniquely identifies the `DataSource`. Typically, an Amazon Resource Number (ARN) becomes the ID for a `DataSource`.

Returns:
  A user-supplied ID that uniquely identifies the `DataSource`. Typically, an Amazon Resource Number (ARN) becomes the ID for a `DataSource`.

#### withDataSourceId

    public CreateDataSourceFromRDSRequest withDataSourceId(String dataSourceId)

A user-supplied ID that uniquely identifies the `DataSource`. Typically, an Amazon Resource Number (ARN) becomes the ID for a `DataSource`.

Parameters:
  `dataSourceId` - A user-supplied ID that uniquely identifies the `DataSource`. Typically, an Amazon Resource Number (ARN) becomes the ID for a `DataSource`.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDataSourceName

    public void setDataSourceName(String dataSourceName)

A user-supplied name or description of the `DataSource`.

Parameters:
  `dataSourceName` - A user-supplied name or description of the `DataSource`.

#### getDataSourceName

    public String getDataSourceName()

A user-supplied name or description of the `DataSource`.

Returns:
  A user-supplied name or description of the `DataSource`.

#### withDataSourceName

    public CreateDataSourceFromRDSRequest withDataSourceName(String dataSourceName)

A user-supplied name or description of the `DataSource`.

Parameters:
  `dataSourceName` - A user-supplied name or description of the `DataSource`.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setRDSData

    public void setRDSData(RDSDataSpec rDSData)

The data specification of an Amazon RDS `DataSource`:

- DatabaseInformation -

  - `DatabaseName` - The name of the Amazon RDS database.
  - `InstanceIdentifier` - A unique identifier for the Amazon RDS database instance.

- DatabaseCredentials - AWS Identity and Access Management (IAM) credentials that are used to connect to the Amazon RDS database.

- ResourceRole - A role (DataPipelineDefaultResourceRole) assumed by an EC2 instance to carry out the copy task from Amazon RDS to Amazon Simple Storage Service (Amazon S3). For more information, see Role templates for data pipelines.

- ServiceRole - A role (DataPipelineDefaultRole) assumed by the AWS Data Pipeline service to monitor the progress of the copy task from Amazon RDS to Amazon S3. For more information, see Role templates for data pipelines.

- SecurityInfo - The security information to use to access an RDS DB instance. You need to set up appropriate ingress rules for the security entity IDs provided to allow access to the Amazon RDS instance. Specify a [ `SubnetId`, `SecurityGroupIds`] pair for a VPC-based RDS DB instance.

- SelectSqlQuery - A query that is used to retrieve the observation data for the `Datasource`.

- S3StagingLocation - The Amazon S3 location for staging Amazon RDS data. The data retrieved from Amazon RDS using `SelectSqlQuery` is stored in this location.

- DataSchemaUri - The Amazon S3 location of the `DataSchema`.

- DataSchema - A JSON string representing the schema. This is not required if `DataSchemaUri` is specified.

- DataRearrangement - A JSON string that represents the splitting and rearrangement requirements for the `Datasource`.

  Sample - `"{\"splitting\":{\"percentBegin\":10,\"percentEnd\":60}}"`

Parameters:
  `rDSData` - The data specification of an Amazon RDS `DataSource`:

  - DatabaseInformation -

    - `DatabaseName` - The name of the Amazon RDS database.
    - `InstanceIdentifier` - A unique identifier for the Amazon RDS database instance.

  - DatabaseCredentials - AWS Identity and Access Management (IAM) credentials that are used to connect to the Amazon RDS database.

  - ResourceRole - A role (DataPipelineDefaultResourceRole) assumed by an EC2 instance to carry out the copy task from Amazon RDS to Amazon Simple Storage Service (Amazon S3). For more information, see Role templates for data pipelines.

  - ServiceRole - A role (DataPipelineDefaultRole) assumed by the AWS Data Pipeline service to monitor the progress of the copy task from Amazon RDS to Amazon S3. For more information, see Role templates for data pipelines.

  - SecurityInfo - The security information to use to access an RDS DB instance. You need to set up appropriate ingress rules for the security entity IDs provided to allow access to the Amazon RDS instance. Specify a [`SubnetId`, `SecurityGroupIds`] pair for a VPC-based RDS DB instance.

  - SelectSqlQuery - A query that is used to retrieve the observation data for the `Datasource`.

  - S3StagingLocation - The Amazon S3 location for staging Amazon RDS data. The data retrieved from Amazon RDS using `SelectSqlQuery` is stored in this location.

  - DataSchemaUri - The Amazon S3 location of the `DataSchema`.

  - DataSchema - A JSON string representing the schema. This is not required if `DataSchemaUri` is specified.

  - DataRearrangement - A JSON string that represents the splitting and rearrangement requirements for the `Datasource`.

    Sample - `"{\"splitting\":{\"percentBegin\":10,\"percentEnd\":60}}"`

#### getRDSData

    public RDSDataSpec getRDSData()

The data specification of an Amazon RDS `DataSource`:

- DatabaseInformation -

  - `DatabaseName` - The name of the Amazon RDS database.
  - `InstanceIdentifier` - A unique identifier for the Amazon RDS database instance.

- DatabaseCredentials - AWS Identity and Access Management (IAM) credentials that are used to connect to the Amazon RDS database.

- ResourceRole - A role (DataPipelineDefaultResourceRole) assumed by an EC2 instance to carry out the copy task from Amazon RDS to Amazon Simple Storage Service (Amazon S3). For more information, see Role templates for data pipelines.

- ServiceRole - A role (DataPipelineDefaultRole) assumed by the AWS Data Pipeline service to monitor the progress of the copy task from Amazon RDS to Amazon S3. For more information, see Role templates for data pipelines.

- SecurityInfo - The security information to use to access an RDS DB instance. You need to set up appropriate ingress rules for the security entity IDs provided to allow access to the Amazon RDS instance. Specify a [ `SubnetId`, `SecurityGroupIds`] pair for a VPC-based RDS DB instance.

- SelectSqlQuery - A query that is used to retrieve the observation data for the `Datasource`.

- S3StagingLocation - The Amazon S3 location for staging Amazon RDS data. The data retrieved from Amazon RDS using `SelectSqlQuery` is stored in this location.

- DataSchemaUri - The Amazon S3 location of the `DataSchema`.

- DataSchema - A JSON string representing the schema. This is not required if `DataSchemaUri` is specified.

- DataRearrangement - A JSON string that represents the splitting and rearrangement requirements for the `Datasource`.

  Sample - `"{\"splitting\":{\"percentBegin\":10,\"percentEnd\":60}}"`

Returns:
  The data specification of an Amazon RDS `DataSource`:

  - DatabaseInformation -

    - `DatabaseName` - The name of the Amazon RDS database.
    - `InstanceIdentifier` - A unique identifier for the Amazon RDS database instance.

  - DatabaseCredentials - AWS Identity and Access Management (IAM) credentials that are used to connect to the Amazon RDS database.

  - ResourceRole - A role (DataPipelineDefaultResourceRole) assumed by an EC2 instance to carry out the copy task from Amazon RDS to Amazon Simple Storage Service (Amazon S3). For more information, see Role templates for data pipelines.

  - ServiceRole - A role (DataPipelineDefaultRole) assumed by the AWS Data Pipeline service to monitor the progress of the copy task from Amazon RDS to Amazon S3. For more information, see Role templates for data pipelines.

  - SecurityInfo - The security information to use to access an RDS DB instance. You need to set up appropriate ingress rules for the security entity IDs provided to allow access to the Amazon RDS instance. Specify a [`SubnetId`, `SecurityGroupIds`] pair for a VPC-based RDS DB instance.

  - SelectSqlQuery - A query that is used to retrieve the observation data for the `Datasource`.

  - S3StagingLocation - The Amazon S3 location for staging Amazon RDS data. The data retrieved from Amazon RDS using `SelectSqlQuery` is stored in this location.

  - DataSchemaUri - The Amazon S3 location of the `DataSchema`.

  - DataSchema - A JSON string representing the schema. This is not required if `DataSchemaUri` is specified.

  - DataRearrangement - A JSON string that represents the splitting and rearrangement requirements for the `Datasource`.

    Sample - `"{\"splitting\":{\"percentBegin\":10,\"percentEnd\":60}}"`

#### withRDSData

    public CreateDataSourceFromRDSRequest withRDSData(RDSDataSpec rDSData)

The data specification of an Amazon RDS `DataSource`:

- DatabaseInformation -

  - `DatabaseName` - The name of the Amazon RDS database.
  - `InstanceIdentifier` - A unique identifier for the Amazon RDS database instance.

- DatabaseCredentials - AWS Identity and Access Management (IAM) credentials that are used to connect to the Amazon RDS database.

- ResourceRole - A role (DataPipelineDefaultResourceRole) assumed by an EC2 instance to carry out the copy task from Amazon RDS to Amazon Simple Storage Service (Amazon S3). For more information, see Role templates for data pipelines.

- ServiceRole - A role (DataPipelineDefaultRole) assumed by the AWS Data Pipeline service to monitor the progress of the copy task from Amazon RDS to Amazon S3. For more information, see Role templates for data pipelines.

- SecurityInfo - The security information to use to access an RDS DB instance. You need to set up appropriate ingress rules for the security entity IDs provided to allow access to the Amazon RDS instance. Specify a [ `SubnetId`, `SecurityGroupIds`] pair for a VPC-based RDS DB instance.

- SelectSqlQuery - A query that is used to retrieve the observation data for the `Datasource`.

- S3StagingLocation - The Amazon S3 location for staging Amazon RDS data. The data retrieved from Amazon RDS using `SelectSqlQuery` is stored in this location.

- DataSchemaUri - The Amazon S3 location of the `DataSchema`.

- DataSchema - A JSON string representing the schema. This is not required if `DataSchemaUri` is specified.

- DataRearrangement - A JSON string that represents the splitting and rearrangement requirements for the `Datasource`.

  Sample - `"{\"splitting\":{\"percentBegin\":10,\"percentEnd\":60}}"`

Parameters:
  `rDSData` - The data specification of an Amazon RDS `DataSource`:

  - DatabaseInformation -

    - `DatabaseName` - The name of the Amazon RDS database.
    - `InstanceIdentifier` - A unique identifier for the Amazon RDS database instance.

  - DatabaseCredentials - AWS Identity and Access Management (IAM) credentials that are used to connect to the Amazon RDS database.

  - ResourceRole - A role (DataPipelineDefaultResourceRole) assumed by an EC2 instance to carry out the copy task from Amazon RDS to Amazon Simple Storage Service (Amazon S3). For more information, see Role templates for data pipelines.

  - ServiceRole - A role (DataPipelineDefaultRole) assumed by the AWS Data Pipeline service to monitor the progress of the copy task from Amazon RDS to Amazon S3. For more information, see Role templates for data pipelines.

  - SecurityInfo - The security information to use to access an RDS DB instance. You need to set up appropriate ingress rules for the security entity IDs provided to allow access to the Amazon RDS instance. Specify a [`SubnetId`, `SecurityGroupIds`] pair for a VPC-based RDS DB instance.

  - SelectSqlQuery - A query that is used to retrieve the observation data for the `Datasource`.

  - S3StagingLocation - The Amazon S3 location for staging Amazon RDS data. The data retrieved from Amazon RDS using `SelectSqlQuery` is stored in this location.

  - DataSchemaUri - The Amazon S3 location of the `DataSchema`.

  - DataSchema - A JSON string representing the schema. This is not required if `DataSchemaUri` is specified.

  - DataRearrangement - A JSON string that represents the splitting and rearrangement requirements for the `Datasource`.

    Sample - `"{\"splitting\":{\"percentBegin\":10,\"percentEnd\":60}}"`

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setRoleARN

    public void setRoleARN(String roleARN)

The role that Amazon ML assumes on behalf of the user to create and activate a data pipeline in the user's account and copy data using the `SelectSqlQuery` query from Amazon RDS to Amazon S3.

Parameters:
  `roleARN` - The role that Amazon ML assumes on behalf of the user to create and activate a data pipeline in the user's account and copy data using the `SelectSqlQuery` query from Amazon RDS to Amazon S3.

#### getRoleARN

    public String getRoleARN()

The role that Amazon ML assumes on behalf of the user to create and activate a data pipeline in the user's account and copy data using the `SelectSqlQuery` query from Amazon RDS to Amazon S3.

Returns:
  The role that Amazon ML assumes on behalf of the user to create and activate a data pipeline in the user's account and copy data using the `SelectSqlQuery` query from Amazon RDS to Amazon S3.

#### withRoleARN

    public CreateDataSourceFromRDSRequest withRoleARN(String roleARN)

The role that Amazon ML assumes on behalf of the user to create and activate a data pipeline in the user's account and copy data using the `SelectSqlQuery` query from Amazon RDS to Amazon S3.

Parameters:
  `roleARN` - The role that Amazon ML assumes on behalf of the user to create and activate a data pipeline in the user's account and copy data using the `SelectSqlQuery` query from Amazon RDS to Amazon S3.

Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setComputeStatistics

    public void setComputeStatistics(Boolean computeStatistics)

The compute statistics for a `DataSource`. The statistics are generated from the observation data referenced by a `DataSource`. Amazon ML uses the statistics internally during `MLModel` training. This parameter must be set to `true` if the ``DataSource`` needs to be used for `MLModel` training.

Parameters:
  `computeStatistics` - The compute statistics for a `DataSource`. The statistics are generated from the observation data referenced by a `DataSource`. Amazon ML uses the statistics internally during `MLModel` training. This parameter must be set to `true` if the `` DataSource`` needs to be used for `MLModel` training.

#### getComputeStatistics

    public Boolean getComputeStatistics()

The compute statistics for a `DataSource`. The statistics are generated from the observation data referenced by a `DataSource`. Amazon ML uses the statistics internally during `MLModel` training. This parameter must be set to `true` if the ``DataSource`` needs to be used for `MLModel` training.

Returns:
  The compute statistics for a `DataSource`. The statistics are generated from the observation data referenced by a `DataSource`. Amazon ML uses the statistics internally during `MLModel` training. This parameter must be set to `true` if the `` DataSource`` needs to be used for `MLModel` training.

#### withComputeStatistics

    public CreateDataSourceFromRDSRequest withComputeStatistics(Boolean computeStatistics)

The compute statistics for a `DataSource`. The statistics are generated from the observation data referenced by a `DataSource`. Amazon ML uses the statistics internally during `MLModel` training. This parameter must be set to `true` if the ``DataSource`` needs to be used for `MLModel` training.

Parameters:
  `computeStatistics` - The compute statistics for a `DataSource`. The statistics are generated from the observation data referenced by a `DataSource`. Amazon ML uses the statistics internally during `MLModel` training. This parameter must be set to `true` if the `` DataSource`` needs to be used for `MLModel` training.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### isComputeStatistics

    public Boolean isComputeStatistics()

The compute statistics for a `DataSource`. The statistics are generated from the observation data referenced by a `DataSource`. Amazon ML uses the statistics internally during `MLModel` training. This parameter must be set to `true` if the ``DataSource`` needs to be used for `MLModel` training.

Returns:
  The compute statistics for a `DataSource`. The statistics are generated from the observation data referenced by a `DataSource`. Amazon ML uses the statistics internally during `MLModel` training. This parameter must be set to `true` if the `` DataSource`` needs to be used for `MLModel` training.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public CreateDataSourceFromRDSRequest clone()

Overrides:
  `clone` in class `AmazonWebServiceRequest`